/*CSS SELECTORS*/

/*
	Universal Selector (*) - targets all elements.
*/
*{
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*
	Type Selector(tag name) - targets elements with the specified type /tag name	
*/
h1 {
	/*!important - it will override the styling*/
	color: black !important;
	text-align: center;
	font-size: 2rem;
}

/*
	ID Selector (#id-name) - targets elements according to its ID attribute;
*/
#zuitt-motto{
	letter-spacing: 5px;
}

/*
	Class Selector (.class-name) - targets elements according to its class attribute; ideally used for targeting multiple elements at once.

*/

.offering-item{
	/*text-transform propoerty changed the font case of a certain element*/
	text-transform: uppercase;
}

/*
	Attribute Selector (attribute="value"/tagname[attribute])
	targets elements with a specified element attribute; used to target elements with a certain attribute.
*/
input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
}

/*CSS Selector Combinators*/
/*
	Adjacent Sibling Selector (+) - select the sibling element that is directly after another specified element.
*/

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 300px;
}

/*
	Descendant Selector(whitespace/space) - matches all elements that are descendants of a specified element.
*/

#bootcamp-learning-list li{
	color: #075966;
}

/*
	General Sibling Selector (~) - select all elements that are next siblings of a specified elements.
*/

/*multiple selector (,) - allows us use multiple selectors for one rule/styling*/

h2 ~ a, a {
	text-decoration: none;
}

/*
	Child Selector (>) - select all elements that are direct chilren of a specified element.
*/

section > form > label {
	color: rgb(0, 0, 128);
}

body{
	background-color: skyblue;
}

html{
	scroll-behavior: smooth;
}

nav{
	background-color: white;
}

/* selector: hover - pseudo class*/
/*changes the style when hovered over*/
a:hover{
	background-color: #b4d6de;
}

div{
	display: inline-block;
	float: right;
}

section {
	height: 100vh;
	text-align: center;
}

h2{
	font-size: 1.5rem;
}

ol{
	list-style-type: none;
}

form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.25%;
}

button{
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}

/*insert notes here from sir Tolits in gitlab*/